package com.displaynone.acss.components.acs.models.gate

import android.content.Context
import android.util.Log
import com.displaynone.acss.components.acs.models.gate.repository.GateRepository
import com.displaynone.acss.components.auth.internal_utils.AuthTokenManager
import com.displaynone.acss.components.auth.internal_utils.UserManager
import com.displaynone.acss.components.auth.models.user.UserServiceST

class GateServiceST {
    companion object {
        private var instance: GateServiceST? = null

        fun createInstance() {
            if (instance == null) {
                instance = GateServiceST()
            }
        }
        fun getInstance(): GateServiceST {
            return instance ?: throw RuntimeException("null instance")
        }
    }
    private val gateRepository: GateRepository = GateRepository()
    suspend fun openDoor(code: String): Result<Int> {
        Log.d("1234", UserServiceST.getInstance().getTokenPair().accessToken)
        return gateRepository.openDoor(UserServiceST.getInstance().getTokenPair().accessToken, code = code)
    }
}